Subject: [PATCH 0/8] Add support for CL-SOM-iMX7 and SBC-iMX7

From: [email-masked] (Shawn Guo)
Date: Mon, 21 Dec 2015 14:41:15 +0800

On Wed, Dec 16, 2015 at 04:09:02PM +0200, Igor Grinberg wrote:
> Hi Shawn,
> 
> On 12/14/15 04:47, Shawn Guo wrote:
> > On Mon, Dec 07, 2015 at 09:14:31AM +0200, Ilya Ledvich wrote:
> >> Ilya Ledvich (8):
> >>   ARM: dts: imx7d: cl-som-imx7: add basic module support
> >>   ARM: dts: imx7d: cl-som-imx7: add usb otg support
> >>   ARM: dts: imx7d: cl-som-imx7: add eMMC support
> >>   ARM: dts: imx7d: cl-som-imx7: add fec1 support
> >>   ARM: dts: imx7d: cl-som-imx7: add eeprom support
> >>   ARM: dts: imx7d: cl-som-imx7: add gpio extender support
> >>   ARM: dts: imx7d: cl-som-imx7: add fec2 support
> > 
> > For the initial board support submission, it doesn't really need such
> > splitting.  Please merge above patches into one.
> 
> Yeah, I know there is no need for such splitting, yet I think
> if the splitting is done right - it is much simpler to review,

Not really for a initial board support.

> it provides a better bisectability (in case it will be needed in
> the future),

This is an initial board support submission and all the devices added
there should be functional.  The bisectability shouldn't needed in this
case.

> and also if for some reason one (or more) patches are
> needing some time consuming rework, others (earlier ones in the series)
> can be accepted meanwhile.

It's not really the case for this series.

> 
> So, I really like to keep it this way, unless you insist.

Please merge them.

Shawn